Bug 240821 - RFE: yum should be able to remove packages without network
RFE: yum should be able to remove packages without network
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian Festi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 22:01 EDT by Arthur Pemberton
Modified: 2014-01-21 17:58 EST (History)
8 users (show)

See Also:
Fixed In Version: 3.2.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 15:25:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Pemberton 2007-05-21 22:01:52 EDT
Description of problem:

yum cannot remove packages without network, solution/workarounds such as use
cache or disabling all repos are non obvious.


How reproducible:

100%


Steps to Reproduce:
1. severe machines connection to repos
2. attempt yum remove of any package

  
Actual results:

process fails while trying to update repo data

Expected results:

process continues as all the data it needs to remove a package should already be
present on the system, or at least provide a clear path to work arounds


Additional info:

All frontends for yum inherit this problem, and non familiar users get stumped
by this. Maybe a 'localremove' option is needed which bypasses updating of repo
data.
Comment 1 Till Maas 2007-09-09 08:14:03 EDT
imho yum remove should never require network or a filed cache.

yum -C remove does not work, when the cache is empty. Also when I run

yum clean all
yum clean all
The second time yum wants to download repository data, which is totally strange
but it seems to be an related issue: yum checks for repository data even when it
does not need them.
Comment 2 Jeremy Katz 2007-09-13 14:08:42 EDT
yum clean requiring a download should be fixed as of yum 3.2.4 or 3.2.5.
Comment 3 Till Maas 2007-09-13 15:23:53 EDT
(In reply to comment #2)
> yum clean requiring a download should be fixed as of yum 3.2.4 or 3.2.5.

I just tried yum 3.2.5 from updates-testing, there it is fixed. I am not sure,
whether or not I had this problem with 3.2.4, I installed it on Sep 08 11:22
UTC. When I calculated correctly, I posted here on Sep 09 13:14 UTC, so I guess
it is not fixed in 3.2.4. yum remove still wants network access, so the two
issues seem not to be related.
Comment 4 Till Maas 2008-01-08 12:32:06 EST
In case this bug was really fixed in 3.2.5, it is broken 3.2.8 again:

Steps to reproduce:

(istanbul is here an example package)

1) yum install istanbul
2) yum clean all
3a) yum -C remove istanbul
3b) yum remove istanbul

Results:
3a) does not work, because yum wants some repository data, e.g.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora.
Please verify its path and try again
3b) yum starts to download repository data

Expected Results:
yum removes istanbul in steps 3a and 3b without downloading repository data.
Comment 5 Seth Vidal 2008-03-12 10:33:45 EDT
It was fixed in 3.2.5 and yes it re-break with 3.2.8 but for a different reason.
Comment 6 Bug Zapper 2008-05-14 08:14:48 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jeremy Katz 2008-06-12 13:51:50 EDT
This is still the case in rawhide.  And it's due to the changes to make the
pkgSack an attribute of the tsInfo, so when we set up the tsInfo, we then need
repodata.
Comment 8 Jan Hutař 2008-08-07 08:52:05 EDT
I can still see this in yum-3.2.17-2.fc9.noarch
Comment 9 James Antill 2008-08-07 09:40:14 EDT
 It's also going to be true in 3.2.18, it's not as easy to fix as you might expect (having yum remove not need metadata).
 There's always "rpm -e" :)
Comment 10 James Antill 2008-08-10 11:57:59 EDT
As a work around you can do:

 yum -C --disablerepo='*' remove instanbul
Comment 11 seth vidal 2008-12-10 15:25:36 EST
fixed in in 3.2.20 - which is available in updates-testing for everything.

Note You need to log in before you can comment on or make changes to this bug.